| Package | Description |
|---|---|
| org.apache.camel.builder.endpoint.dsl |
| Modifier and Type | Method and Description |
|---|---|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.HttpEndpointBuilder.advanced() |
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.clientBuilder(Object clientBuilder)
Provide access to the http client request parameters used on new
RequestConfig instances used by producers or consumers of this
endpoint.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.clientBuilder(String clientBuilder)
Provide access to the http client request parameters used on new
RequestConfig instances used by producers or consumers of this
endpoint.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.clientConnectionManager(Object clientConnectionManager)
To use a custom HttpClientConnectionManager to manage connections.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.clientConnectionManager(String clientConnectionManager)
To use a custom HttpClientConnectionManager to manage connections.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.connectionsPerRoute(int connectionsPerRoute)
The maximum number of connections per route.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.connectionsPerRoute(String connectionsPerRoute)
The maximum number of connections per route.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.cookieHandler(Object cookieHandler)
Configure a cookie handler to maintain a HTTP session.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.cookieHandler(String cookieHandler)
Configure a cookie handler to maintain a HTTP session.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.cookieStore(Object cookieStore)
To use a custom CookieStore.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.cookieStore(String cookieStore)
To use a custom CookieStore.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.deleteWithBody(boolean deleteWithBody)
Whether the HTTP DELETE should include the message body or not.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.deleteWithBody(String deleteWithBody)
Whether the HTTP DELETE should include the message body or not.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.getWithBody(boolean getWithBody)
Whether the HTTP GET should include the message body or not.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.getWithBody(String getWithBody)
Whether the HTTP GET should include the message body or not.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpBinding(Object httpBinding)
To use a custom HttpBinding to control the mapping between Camel
message and HttpClient.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpBinding(String httpBinding)
To use a custom HttpBinding to control the mapping between Camel
message and HttpClient.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpClient(Object httpClient)
Sets a custom HttpClient to be used by the producer.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpClient(String httpClient)
Sets a custom HttpClient to be used by the producer.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpClientConfigurer(Object httpClientConfigurer)
Register a custom configuration strategy for new HttpClient instances
created by producers or consumers such as to configure authentication
mechanisms etc.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpClientConfigurer(String httpClientConfigurer)
Register a custom configuration strategy for new HttpClient instances
created by producers or consumers such as to configure authentication
mechanisms etc.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpClientOptions(Map values)
To configure the HttpClient using the key/values from the Map.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpClientOptions(String key,
Object value)
To configure the HttpClient using the key/values from the Map.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpContext(Object httpContext)
To use a custom HttpContext instance.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpContext(String httpContext)
To use a custom HttpContext instance.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.maxTotalConnections(int maxTotalConnections)
The maximum number of connections.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.maxTotalConnections(String maxTotalConnections)
The maximum number of connections.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.okStatusCodeRange(String okStatusCodeRange)
The status codes which are considered a success response.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.skipRequestHeaders(boolean skipRequestHeaders)
Whether to skip mapping all the Camel headers as HTTP request
headers.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.skipRequestHeaders(String skipRequestHeaders)
Whether to skip mapping all the Camel headers as HTTP request
headers.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.skipResponseHeaders(boolean skipResponseHeaders)
Whether to skip mapping all the HTTP response headers to Camel
headers.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.skipResponseHeaders(String skipResponseHeaders)
Whether to skip mapping all the HTTP response headers to Camel
headers.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.userAgent(String userAgent)
To set a custom HTTP User-Agent request header.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.useSystemProperties(boolean useSystemProperties)
To use System Properties as fallback for configuration.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.useSystemProperties(String useSystemProperties)
To use System Properties as fallback for configuration.
|
Apache Camel